<?php


if($cboSucursal){
	$o_SucursalBean = new SucursalBean();
	$o_SucursalBean->setIdSucursal($cboSucursal);
	$o_SucursalBL = new SucursalBL();
	$a_Sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
	foreach($a_Sucursal as $key => $o_sucursal){
		$idAdministrador = $o_sucursal->getIdAdministrador();
	}
	
}else{
	$idAdministrador = myUser::getUser()->getIdColaborador();
}
$o_ColaboradorBean = new ColaboradorBean();
$o_ColaboradorBean->setIdPadre($idAdministrador);
$o_ColaboradorBean->setIdRol('sys.ope');
$o_ColaboradorBean->setEstado('A');
if($cboColaborador){
	$o_ColaboradorBean->setIdColaborador($cboColaborador);
}
$o_ColaboradorBL = new ColaboradorBL();
$a_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);


if(is_array($a_Colaborador)){
	foreach($a_Colaborador as $key => $o_colaborador){
		$idColaborador = $o_colaborador->getIdColaborador();
		$a_NombreColaborador[$idColaborador] = $o_colaborador->getNombreCompleto();
		
		if($tipoPeriodo == 'diario'){
			$fechaActual = date('Y-m-d');
			$t_periodo = "Fechas";
			$fechaFinal = date('Y-m-d',strtotime($txtFechaInicial .' +'.($intervalodias-1).' days'));
			if($fechaFinal > $fechaActual){
				$fechaFinal = $fechaActual;
			}
			//Calculo de datos por cada dia 
			$fechaFor = $txtFechaInicial;
			while($fechaFor <= $fechaFinal){
				
				$o_BalanceDiaBean = new BalanceDiaBean();
				$o_BalanceDiaBean->setIdColaborador($idColaborador);
				$o_BalanceDiaBean->setFechaBalance($fechaFor);
				$o_BalanceDiaBean->setFechaBalanceFinal($fechaFor);
				$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDiaBean);
				$a_o_balance = $o_BalanceDiaDP->select();
				
				if(is_array($a_o_balance)){
					foreach ($a_o_balance as $key_b => $o_balance){
						$a_totalBG[$idColaborador][$fechaFor] = $o_balance->getSaldoPrestamos();
					}
				}else{
					$a_totalBG[$idColaborador][$fechaFor] = 0;
				}
				
				$fechaFor = date('Y-m-d',strtotime($fechaFor .' +1 days'));
				
				
			}
			
		}
		if($tipoPeriodo == 'mensual'){
			$t_periodo = "Periodo";
			$fechaActual = date('Y-m-d');
			
			$fechaFinal = date('Y-m-d',strtotime($periodoInicial.'-01 +'.($intervalomeses-1).' months'));
			if($fechaFinal > $fechaActual){
				$fechaFinal = $fechaActual;
			}
			//Calculo de datos por cada dia 
			$fechaFor = $periodoInicial.'-01';
			while($fechaFor <= $fechaFinal){
				$fechaForFinalTemp = date('Y-m-d',strtotime($fechaFor.'+ 1 months'));
				$fechaForFinal = date('Y-m-d',strtotime($fechaForFinalTemp.'- 1 day'));
				$o_BalanceDiaBean = new BalanceDiaBean();
				$o_BalanceDiaBean->setIdColaborador($idColaborador);
				$o_BalanceDiaBean->setFechaBalance($fechaFor);
				$o_BalanceDiaBean->setFechaBalanceFinal($fechaForFinal);
				$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDiaBean);
				$a_o_balance = $o_BalanceDiaDP->select();
				if(is_array($a_o_balance)){
					foreach ($a_o_balance as $key_b => $o_balance){
						$a_totalBG[$idColaborador][substr($fechaFor,0,7)] += $o_balance->getSaldoPrestamos();
					}
				}else{
					$a_totalBG[$idColaborador][substr($fechaFor,0,7)] += 0;
				}
				$fechaFor = date('Y-m-d',strtotime($fechaFor .' +1 months'));
				
				
			}
		}
		
	}
}



if(is_array($a_totalBG)){
?>

 <table class="marco" border="0" cellpadding="0" cellspacing="0" width="70%">
        
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <!--<th width="4%" >Nro</th>-->
                <th width="20%" align="left"><?=$t_periodo?></th>
               <th width="60%" align="left">Colaborador</th>
              
               <th width="18%" >Monto</th>
               <th width="2%" ></th>
             
              
              
              </tr>
             <?php
             foreach ($a_totalBG as $key => $a_datos){
             	$nombre_colaborador = $a_NombreColaborador[$key];
             	foreach ($a_datos as $fecha =>$dato){
             	?>
              <tr onClick="TR_click(this);">
                 <td align="left"><?=$fecha?></td>
                 <td align="left" ><?=utf8_encode($nombre_colaborador)?></td>
                <td align="right"><?=number_format($dato,2);$total_saldo += round($dato,2); ?></td>
                <td align="right"></td>
               
              </tr>
              <? } 
             }?>
              <tr>
              	<td colspan="3" align="right"><b><?php echo number_format($total_saldo,2)?></b></td>
              </tr>
              
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>
<?php
}
?>